Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gthumb-2.6.3 Access Violation?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Cozila
n00b
n00b


Joined: 09 May 2005
Posts: 8

PostPosted: Tue Jun 07, 2005 2:06 am    Post subject: gthumb-2.6.3 Access Violation? Reply with quote

>>> Completed installing gthumb-2.6.3 into /var/tmp/portage/gthumb-2.6.3/image/

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-media-gfx_-_gthumb-2.6.3-2038.log"

open_wr: /var/lib/scrollkeeper/scrollkeeper_docs
open_wr: /var/lib/scrollkeeper/scrollkeeper_docs
--------------------------------------------------------------------------------



That's the msg I get when I get to the end of an emerge -DuN gthumb
Back to top
View user's profile Send private message
noup
l33t
l33t


Joined: 21 Mar 2003
Posts: 917

PostPosted: Tue Jun 07, 2005 9:16 pm    Post subject: Reply with quote

try doing an "emerge sync" and then emerge the package again.

if that doesn't work, search in the gentoo bugzilla. i think i saw something related to this there.
_________________
noup.
Back to top
View user's profile Send private message
nichocouk
Guru
Guru


Joined: 10 Mar 2005
Posts: 585
Location: Glasgow

PostPosted: Tue Jun 07, 2005 10:02 pm    Post subject: Reply with quote

Indeed a lot of gnome-related have had this problem, but it should be fixed by now. So do
Code:
emerge --sync
before updating again gthumb.
The related bug is 92920
_________________
nichocouk

L'Etat, c'est moi.
Back to top
View user's profile Send private message
kristoffer
Tux's lil' helper
Tux's lil' helper


Joined: 05 Oct 2003
Posts: 85

PostPosted: Fri Jun 10, 2005 6:26 pm    Post subject: Reply with quote

I have done 'emerge --sync' but I still have the related problem (with gnome-applets) described here.

I also tried to apply the gnome2.eclass sandbox patch (found here) to /usr/portage/eclass/gnome2.eclass, but that didn't work. In fact, I got a warning telling me that the patch already had been applied. I'm not sure if I did the patching correctly. What I did was:
Code:
patch /usr/portage/eclass/gnome2.eclass gnome2.eclass.patch

_________________
I have to return some videotapes
Back to top
View user's profile Send private message
daoist
n00b
n00b


Joined: 14 May 2003
Posts: 28

PostPosted: Sat Jun 11, 2005 11:09 am    Post subject: Reply with quote

kristoffer wrote:
I have done 'emerge --sync' but I still have the related problem (with gnome-applets) described here.

I also tried to apply the gnome2.eclass sandbox patch (found here) to /usr/portage/eclass/gnome2.eclass, but that didn't work. In fact, I got a warning telling me that the patch already had been applied. I'm not sure if I did the patching correctly. What I did was:
Code:
patch /usr/portage/eclass/gnome2.eclass gnome2.eclass.patch
I can verify that even after an emerge --sync, I still have the same problem with gnome-applets.

However, emerge did chew through several ebuilds which previously had the error.

After this, I tried emerge -uD world, and still emerge bombed out on gnome-applets. Then I tried applying the patch from the bug listing, and still I gets no love.

Was this a separate problem in several ebuilds, and simply hasn't been fixed in all of them?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum